Changeset 0b22af6 in rtems


Ignore:
Timestamp:
Mar 25, 2003, 8:50:16 AM (17 years ago)
Author:
Ralf Corsepius <ralf.corsepius@…>
Branches:
4.10, 4.11, 4.8, 4.9, master
Children:
55837f7
Parents:
24af9a06
Message:

Merger from rtems-4-6-branch.

Files:
1 deleted
4 edited

Legend:

Unmodified
Added
Removed
  • Makefile.am

    r24af9a06 r0b22af6  
    99ACLOCAL_AMFLAGS = -I aclocal
    1010
    11 SUBDIRS = tools make $(BUILD_SUBDIRS) $(HOST_SUBDIRS) $(TARGET_SUBDIRS)
     11SUBDIRS = make $(build_SUBDIRS) $(host_SUBDIRS) $(target_SUBDIRS)
    1212
    1313AUTOMAKE_FILES = automake/compile.am automake/host.am automake/lib.am \
  • bootstrap

    r24af9a06 r0b22af6  
    1212# to be run from the toplevel directory of RTEMS'
    1313# source tree
    14 
    15 AUTOCONF_VERS=2\.57
    16 AUTOMAKE_VERS=1\.7\.2
    1714
    1815progname=`basename $0`
     
    9996  if test -z "$AUTOCONF"; then
    10097    echo "You must have autoconf installed to run $program"
     98    exit 1
    10199  fi
    102   if test -z "`$AUTOCONF --version 2>/dev/null | grep -e \" $AUTOCONF_VERS\"`"; then
    103 cat << EOF
    104 RTEMS requires autoconf version $AUTOCONF_VERS.
    105 
    106 You are trying to use $AUTOCONF which does not seem to be sufficient
    107 EOF
    108   exit 1
     100 
     101  AUTOHEADER=${AUTOHEADER-autoheader}
     102  if test -z "$AUTOHEADER"; then
     103    echo "You must have autoconf installed to run $program"
     104    exit 1
    109105  fi
    110106 
     
    112108  if test -z "$AUTOMAKE"; then
    113109    echo "You must have automake installed to run $program"
    114   fi
    115   if test -z "`$AUTOMAKE --version 2>/dev/null | grep -e \" $AUTOMAKE_VERS\"`"; then
    116 cat << EOF
    117 RTEMS requires automake version $AUTOMAKE_VERS.
    118 
    119 You are trying to use $AUTOMAKE which does not seem to be sufficient
    120 EOF
    121   exit 1
     110    exit 1
    122111  fi
    123112 
     113  ACLOCAL=${ACLOCAL-aclocal}
     114  if test -z "$ACLOCAL"; then
     115    echo "You must have automake installed to run $program"
     116    exit 1
     117  fi
     118
    124119  case $top_srcdir in
    125120  /* ) aclocal_dir=$top_srcdir
     
    140135    aclocal_args=`grep '^[ ]*ACLOCAL_AMFLAGS' Makefile.am | \
    141136      sed -e 's%.*ACLOCAL_AMFLAGS.*\=[ ]*%%g' -e $pat ` ;
    142     test "$verbose" = "-v" && echo "aclocal $aclocal_args"
    143     aclocal $aclocal_args;
    144     test -n "`grep CONFIG_HEADER ${configure}`" && autoheader \
    145       && test "$verbose" = "-v" && echo "autoheader";
    146     test -n "`grep RTEMS_BSP_CONFIGURE ${configure}`" && autoheader \
    147       && test "$verbose" = "-v" && echo "autoheader";
    148     test -f Makefile.am && automake -a -c $verbose ;
    149     autoconf;
     137    test "$verbose" = "-v" && echo "${ACLOCAL} $aclocal_args"
     138    ${ACLOCAL} $aclocal_args;
     139    test -n "`grep CONFIG_HEADER ${configure}`" && ${AUTOHEADER} \
     140      && test "$verbose" = "-v" && echo "${AUTOHEADER}";
     141    test -n "`grep RTEMS_BSP_CONFIGURE ${configure}`" && ${AUTOHEADER} \
     142      && test "$verbose" = "-v" && echo "${AUTOHEADER}";
     143    test -f Makefile.am && ${AUTOMAKE} -a -c $verbose ;
     144    ${AUTOCONF};
    150145    test -f Makefile.am && test -n "`grep 'stamp-h\.in' Makefile.in`" \
    151146      && echo timestamp > stamp-h.in
  • config-ml.in

    r24af9a06 r0b22af6  
    218218          for x in ${old_multidirs}; do
    219219            case "${x}" in
    220               *thumb*) : ;;
     220              *thumb* ) : ;;
     221              *fpu* ) : ;;
    221222              *) multidirs="${multidirs} ${x}" ;;
    222223            esac
     
    229230          for x in ${old_multidirs}; do
    230231            case "${x}" in
     232              *ml ) : ;;
     233              *ml/m2 ) : ;;
    231234              *m3e*) : ;;
    232235              *m4-single*) : ;;
  • configure.ac

    r24af9a06 r0b22af6  
    5050
    5151## NOTES:
    52 ## The tools/*-directories situation is unclear
    5352## * tools/build are host-native tools to be installed on the host.
    5453## * tools/cpu are host-native or host-cross-target-tools
    55 ## * tools/update are build-host-native tools
    5654
    57 # these tools are built for the build environment
    58 #
    59 RTEMS_BUILD_CONFIG_SUBDIRS([tools/update])
     55RTEMS_BUILD_CONFIG_SUBDIRS([tools/build])
     56RTEMS_BUILD_CONFIG_SUBDIRS([tools/cpu])
    6057
     58# Some BSPs carelessly apply these tools as build-tools
     59AS_IF([test $host != $build],[
    6160RTEMS_HOST_CONFIG_SUBDIRS([tools/build])
    62 RTEMS_HOST_CONFIG_SUBDIRS([tools/cpu])
     61])
    6362
    6463AS_IF([test x"${enable_docs}" = x"yes"],
     
    7170
    7271AC_CONFIG_FILES([Makefile
    73 tools/Makefile
    7472make/Makefile
    7573make/custom/Makefile
Note: See TracChangeset for help on using the changeset viewer.